﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.Model.Object.Redeem.RedeemCMSViewModel>

@(
 Html.Grid(Model).Named("AllRedeem").Columns(columns =>
 {
     columns.Add(x => x.MemberName)
         .Titled("Member")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.MemberName);

     columns.Add(x => x.TransactionCode)
         .Titled("TransactionCode")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.TransactionCode);

     columns.Add(x => x.TransactionDateDate)
         .Titled("TransactionDate")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.TransactionDateDate.ToString("dd-MM-yyyy")).Filterable(true);
     
     columns.Add(x => x.Point)
         .Titled("Point")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Point.ToString()).Filterable(true);

     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm"));

     //columns.Add()
     //    .Encoded(false)
     //    .Sanitized(false)
     //    .SetWidth(50)
     //    .Css("cell-center")
     //    .RenderValueAs(x =>( (x.IsVoid) ? string.Empty : string.Format("<a href=\"javascript:void(0)\" onclick=\"VoidRedeem('{0}')\" class=\"btn btn-xs btn-danger\">Void</a>", x.TransactionCode)));

 })
.Sortable()
.WithPaging(5)
)
